--[[
	Similiar to action.lua,
	use this to draw agent specific information to the player with hudtxt2

]]




agent.info = {}

agent.info.txts = {}

function agent.info.update(pid,txt)
	util.htxt2(pid, conf.info.hid, conf.info.color..txt ,conf.info.x,conf.info.y, 1, 1, 12) 
end

function agent.info.endround()
	for pid,agentname in pairs(agent.current) do
		util.htxt2(pid, conf.info.hid)
	end
end

function agent.info.stop(pid)
	util.htxt2(pid, conf.info.hid) 
end

function agent.info.onUltRdy(pid)
	util.htxt2duration(conf.info.ult.dur, pid,conf.info.ult.hid,conf.teamColor[player(pid,"team")]..player(pid,"name").." ("..agents[agent.current[pid]].name..") has ULT Ready", conf.info.ult.x, conf.info.ult.y, 1,1,12)
end

hooker.normal:Hook(agent.info.onUltRdy, "agentultready")
hooker.normal:Hook(agent.info.endround, "endround")
